# Gallery

::::{grid} 1 2 2 3
:gutter: 1 1 1 2

:::{grid-item-card} Portfolio Optimizer
:img-top: https://assets.holoviz.org/panel/gallery/portfolio_optimizer.png
:link: https://panel-gallery-dev.pyviz.demo.anaconda.org/portfolio_optimizer
:link-type: url

Stock portfolio optimization by exploring the efficient frontier and optimizing the Sharpe ratio.
+++
[See source](portfolio_optimizer)
:::

:::{grid-item-card} Streaming Videostream
:img-top: https://assets.holoviz.org/panel/gallery/streaming_videostream.png
:link: https://panel-gallery-dev.pyviz.demo.anaconda.org/streaming_videostream
:link-type: url

Applying face detection and other image transforms on your webcam input using scikit-image.
+++
[See source](streaming_videostream)
:::

:::{grid-item-card} Windturbines Explorer
:img-top: https://assets.holoviz.org/panel/gallery/windturbines.png
:link: https://panel-gallery-dev.pyviz.demo.anaconda.org/windturbines
:link-type: url

Visually explore a dataset of US Windturbines.
+++
[See source](windturbines)
:::

:::{grid-item-card} OGGM Glaciers
:img-top: https://assets.holoviz.org/panel/gallery/glaciers.png
:link: https://panel-gallery-dev.pyviz.demo.anaconda.org/glaciers
:link-type: url

Visually explore the worlds glaciers in this application built in collaboration with OGGM.
+++
[See source](glaciers)
:::

:::{grid-item-card} VTK Slicer
:img-top: https://assets.holoviz.org/panel/gallery/vtkslicer.png
:link: https://panel-gallery-dev.pyviz.demo.anaconda.org/vtkslicer
:link-type: url

Visualizing MRI brain scans and their cross-sections using a VTK volume and linked 2D slices.
+++
[See source](vtkslicer)
:::

:::{grid-item-card} Deck.GL: NYC Taxi
:img-top: https://assets.holoviz.org/panel/gallery/nyc_deckgl.png
:link: https://panel-gallery-dev.pyviz.demo.anaconda.org/nyc_deckgl
:link-type: url

NYC Taxi trips visualized and animated using Deck.GL.
+++
[See source](nyc_deckgl)
:::

:::{grid-item-card} Gapminders
:img-top: https://assets.holoviz.org/panel/gallery/nyc_deckgl.png
:link: https://panel-gallery-dev.pyviz.demo.anaconda.org/nyc_deckgl
:link-type: url

Visualizing the Gapminders data using the most common Python plotting libraries.
+++
[See source](gapminders)
:::

:::{grid-item-card} VTK: St. Helens
:img-top: https://assets.holoviz.org/panel/gallery/vtkinteractive.png
:link: https://panel-gallery-dev.pyviz.demo.anaconda.org/vtkinteractive
:link-type: url

Visualizing the surface of Mount St. Helens using VTK and linked widgets to control the rendering.
+++
[See source](vtkinteractive)
:::

:::{grid-item-card} Penguin Crossfiltering
:img-top: https://assets.holoviz.org/panel/gallery/penguin_crossfilter.png
:link: https://panel-gallery-dev.pyviz.demo.anaconda.org/penguin_crossfilter
:link-type: url

Palmer Penguins data visualized using a set of linked cross-filtering plots.
+++
[See source](penguin_crossfilter)
:::

:::{grid-item-card} Deck.GL: Game of Life
:img-top: https://assets.holoviz.org/panel/gallery/deckgl_game_of_life.png
:link: https://panel-gallery-dev.pyviz.demo.anaconda.org/deckgl_game_of_life
:link-type: url

Game of Life simulation rendered on a 3D plane using Deck.gl.
+++
[See source](deckgl_game_of_life)
:::

:::{grid-item-card} hvPlot Explorer
:img-top: https://assets.holoviz.org/panel/gallery/hvplot_explorer.png
:link: https://panel-gallery-dev.pyviz.demo.anaconda.org/hvplot_explorer
:link-type: url

Use the hvPlot explorer to interactive visualize your dataset.
+++
[See source](penguin_crossfilter)
:::

:::{grid-item-card} Iris KMeans Clustering
:img-top: https://assets.holoviz.org/panel/gallery/iris_kmeans.png
:link: https://panel-gallery-dev.pyviz.demo.anaconda.org/iris_kmeans
:link-type: url

Interactively apply KMeans clustering on the Iris dataset.
+++
[See source](altair_brushing)
:::

:::{grid-item-card} XGBoost Classifier
:img-top: https://assets.holoviz.org/panel/gallery/xgboost_classifier.png
:link: https://panel-gallery-dev.pyviz.demo.anaconda.org/xgboost_classifier
:link-type: url

Interactively apply a XGBoost classifier on the Iris dataset.
+++
[See source](xgboost_classifier)
:::

:::{grid-item-card} Altair Brushing
:img-top: https://assets.holoviz.org/panel/gallery/altair_brushing.png
:link: https://panel-gallery-dev.pyviz.demo.anaconda.org/altair_brushing
:link-type: url

Try interactive brushing on an Altair plot linked with a table.
+++
[See source](altair_brushing)
:::

::::


```{toctree}
:titlesonly:
:hidden:
:maxdepth: 1

portfolio_optimizer
streaming_videostream
windturbines
glaciers
VTKSlicer
nyc_deckgl
gapminders
VTKInteractive
penguin_crossfilter
deckgl_game_of_life
hvplot_explorer
xgboost_classifier
altair_brushing
VTKWarp
iris_kmeans
penguin_kmeans
```
